Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jrummikub.model
Class Player

    java.lang.Object
      jrummikub.model.Player

All Implemented Interfaces:
  IPlayer

    public class Player

extends java.lang.Object
implements IPlayer

Class managing player data. No methods in release 1

Constructor Summary
`Player(java.lang.String name, java.awt.Color color)` Create a new player with a given name and color

Method Summary
`java.awt.Color` | `getColor()` Return the player's color
`IHand` | `getHand()` Get the current hand of the player
`java.lang.String` | `getName()` Return the name of the player

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Player

    public Player(java.lang.String name,
                  java.awt.Color color)

  Create a new player with a given name and color

  Parameters:
    `name` - player name
    `color` - player's color

Method Detail

### getHand

    public IHand getHand()

  Description copied from interface: `IPlayer`
  Get the current hand of the player

  Specified by:
    `getHand` in interface `IPlayer`
  Returns:
    the player's hand

### getColor

    public java.awt.Color getColor()

  Description copied from interface: `IPlayer`
  Return the player's color

  Specified by:
    `getColor` in interface `IPlayer`
  Returns:
    the player's color

### getName

    public java.lang.String getName()

  Description copied from interface: `IPlayer`
  Return the name of the player

  Specified by:
    `getName` in interface `IPlayer`
  Returns:
    the player's name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD